<div class="card card-block">
    <div class="card-header">
      <div class="row" style="align-content: center;">
        <h4 class="col-sm">Accounts</h4> 
        <div class="col" >
            <button class="btn btn-sm btn-primary" style="float: right;" (click)="createAccount()">Create Account</button>
        </div>      
      </div>
     
    </div>
</div>
<div>
        <table class="table table-bordered" *ngIf="accountList && accountList.length >0">
            <thead>
                <th>Account Name</th>
                <th>Account Type</th>
                <th>Account Balance</th>
                <th>Account Cleared Balance</th>
                <th>Action</th>
            </thead>
            <tbody>
                <tr *ngFor="let acc of accountList">
                    <td>{{acc.name}}</td>
                    <td>{{acc.type}}</td>
                    <td class="aligh-right">{{acc.balance}}</td>
                    <td class="aligh-right">{{acc.cleared_balance}}</td>
                    <td><button class="btn btn-sm btn-outline-primary" (click)="makeTransaction(acc)">Add Transaction</button></td>
                </tr>
     
            </tbody>
        </table>
    
</div>
<app-create-account [budgetId]="budgetId" (output)="closePopup($event)" *ngIf="createAccountClicked"></app-create-account>
<app-create-transaction [accountData]="selectedAccountData" (output)="isPaymentPopup=!isPaymentPopup" *ngIf="isPaymentPopup"></app-create-transaction>